The officially official Devuan Forum!

You are not logged in.

#1 2024-03-29 08:43:45

OddS
Member
Registered: 2023-09-09
Posts: 10  

Blender 3.4.1+dfsg-2+b1 on daedalus

What is the preferred way to install blender 3.4.1+dfsg-2+b1 on daedalus?

Straight forward apt installation appears to run normally, but blender will not start (using xfce) due to missing libraries.

Blender correctly claims libavformat.so.58 not found, it is not installed. Package description https://pkginfo.devuan.org/cgi-bin/pack … +dfsg-2+b1 does not list libavformat.so.58 among dependencies. However; libavformat.so.59 is listed and is also installed.

A quick cheat: symlink libavformat.so.58 -> libavformat.so.59 and now blender correctly claims libswscale.so.5 is missing. But libswscale.so.6 is installed and that is also the lib listed among the dependencies.

Next white lie:  symlink libswscale.so.5 -> libswscale.so.6 and blender correctly claims libIlmImf-2_5.so.25 is missing. Again, that lib is not listed among dependencies, neither is a newer variant listed. Nor is there any libIlmImf* variant installed.

I have, for good measure, tried variants of remove and reinstall.

What is the best way forward? Clone the blender git repository and build from scratch?

--
Odd S.

Offline

#2 2024-03-29 10:08:32

delgado
Member
Registered: 2022-07-14
Posts: 156  

Re: Blender 3.4.1+dfsg-2+b1 on daedalus

Blender runs on my daedalus with LXDE and it is not asking for (non-existing) libraries, like libavformat.so.58.
Maybe an apt dist-upgrade was missing during the last upgrade?

$ apt list --installed | grep -e libavf -e blender -e libsws

blender-data/stable,stable,now 3.4.1+dfsg-2 all [installed,automatic]
blender/stable,now 3.4.1+dfsg-2+b1 amd64 [installed]
libavfilter8/stable,stable-security,now 7:5.1.4-0+deb12u1 amd64 [installed,automatic]
libavformat-dev/stable,stable-security,now 7:5.1.4-0+deb12u1 amd64 [installed,automatic]
libavformat59/stable,stable-security,now 7:5.1.4-0+deb12u1 amd64 [installed,automatic]
libswscale-dev/stable,stable-security,now 7:5.1.4-0+deb12u1 amd64 [installed,automatic]
libswscale6/stable,stable-security,now 7:5.1.4-0+deb12u1 amd64 [installed,automatic]

Offline

#3 2024-03-29 10:58:18

OddS
Member
Registered: 2023-09-09
Posts: 10  

Re: Blender 3.4.1+dfsg-2+b1 on daedalus

Thank you for responding.

apt dist-upgrade says 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded

apt list --installed... prints the same list, essentially. My libavformat-dev  and libswscale-dev are both  [installed] rather than [installed,automatic].
Library version codes (7:5.1.4-0+deb12u1) are all the same as yours.

--
Odd S.

Offline

#4 2024-03-29 14:22:48

soren
Member
Registered: 2023-04-30
Posts: 87  

Re: Blender 3.4.1+dfsg-2+b1 on daedalus

Have you tried installing via blender method? Works for me on Daedalus.I've read the preferred way of installing blender is via blender.org not from the debian repos as blender use there own versions of python libraries. Not sure on the specifics.

https://docs.blender.org/manual/en/late … linux.html

Offline

#5 2024-03-29 19:51:29

OddS
Member
Registered: 2023-09-09
Posts: 10  

Re: Blender 3.4.1+dfsg-2+b1 on daedalus

Have you tried installing via blender method?

Thanks for the suggestion, but no. I kind of expected apt to do the job.

I cloned blender.git and I believe I managed to build blender despite some compiler warnings flying by. It starts ok and it appears to work. It may be a bit on the bleeding edge side of things, though. It says "4.2 Alpha" and I may decide to check out a slightly older version.

--
Odd S.

Offline

Board footer